// #autoload
// #name = borCompetition
// #version = 1.2
// #date = June 18, 2002
// #author = borlaK|RT
// #warrior =  borlaK
// #email = borlak@home.com
// #web = http://www.team-rt.com
// #description = Competition settings for borlaK's scripts. 
// #status = working
// #config = borCompetitionGUI

function borSaveCompetition()
{
	export("$pref::bor*", "prefs/ClientPrefs.cs", false);
}

//--- OBJECT WRITE BEGIN ---
new GuiControl(borCompetitionGUI) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	hideCursor = "0";
	bypassHideCursor = "0";
	helpTag = "0";

	new ShellPaneCtrl() {
		profile = "ShellPaneProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "141 129";
		extent = "343 198";
		minExtent = "48 92";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		text = "borlaK\'s script options";
		longTextBuffer = "0";
		maxLength = "255";
		noTitleBar = "0";
	};
	new ShellToggleButton() {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "168 160";
		extent = "284 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "borSaveCompetition();";
		variable = "$pref::borlaK::borAssets";
		helpTag = "0";
		text = "Asset Script";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellToggleButton() {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "168 189";
		extent = "283 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "borSaveCompetition();";
		variable = "$pref::borlaK::borBomber";
		helpTag = "0";
		text = "Bomber Reticle";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellToggleButton() {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "168 218";
		extent = "250 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "borSaveCompetition();";
		variable = "$pref::borlaK::borCapper";
		helpTag = "0";
		text = "Capper Script";
		longTextBuffer = "0";
		maxLength = "255";
	};
	new ShellTextEditCtrl() {
		profile = "NewTextEditProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "417 213";
		extent = "46 38";
		minExtent = "32 38";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "borSaveCompetition();";
		variable = "$pref::borlaK::borCapperGrabs";
		helpTag = "0";
		text = "2";
		longTextBuffer = "0";
		maxLength = "1";
		historySize = "0";
		password = "0";
		IRCName = "0";
		tabComplete = "0";
		deniedSound = "InputDeniedSound";
		glowOffset = "9 9";
	};
	new DbgFileView() {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "8 8";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
	};
	new ShellToggleButton() {
		profile = "ShellRadioProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "183 247";
		extent = "235 30";
		minExtent = "26 27";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		command = "borSaveCompetition();";
		variable = "$pref::borlaK::borCapperMessage";
		helpTag = "0";
		text = "Capper Messaging";
		longTextBuffer = "0";
		maxLength = "255";
	};
};
//--- OBJECT WRITE END ---
